<?
/* WebMoney orders verifier */
define ('DEMO', TRUE);
include("../../includes/common.php");

$order_id = intval($_GET["o"]);

$row = @mysql_fetch_object(@mysql_query("select * from merchant_orders where id=$order_id and status=1"));

if (($row->id!="") && ("kfjghrejkhg3498574fdkjlghjkHSKJADH189udfkljhsdg948" == $_GET['s']))
{
	mysql_query("UPDATE merchant_orders SET from_status = 0");
	if (file_exists("../../includes/merchant/merchant_user_class.php")) //merchant module installed
	{
		include_once("../../includes/merchant/common.php");
		require_once("../../includes/merchant/merchant_user_class.php");
		complete_merchant_exchange($row->id);
	}	
}

exit;
?>